<template>
  <div class="pt-4">
    <button type="button" class="btn btn-primary btn-lg btn-block" @click="ping_api">Select Kit</button>
    <div class="pt-1">
      <div class="row">
        <div class="col auto">
          <button v-if="!serverActive" type="button" class="btn btn-success btn-lg btn-block" @click="start_pyo">Start Server</button>
          <button v-if="serverActive" type="button" class="btn btn-danger btn-lg btn-block" @click="stop_pyo">Stop Server</button>
        </div>
        <div class="col auto">
          <button type="button" class="btn btn-secondary btn-lg btn-block">Block level button</button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>

import DrumService from "@/services/DrumService";

export default {
name: "DashboardButtons",
  data: function () {
    return {
      serverActive: false
    }
  },

  methods: {
    async start_pyo(){
      DrumService.startPyoServer()
          .then(response => {
            this.serverActive = true;
            console.log(response.data);
          })
          .catch(e => {

            console.log(e)
          });
    },

    async stop_pyo() {
      DrumService.stopPyoServer()
          .then(response => {
            this.serverActive = false;
            console.log(response.data);
          })
          .catch(e => {
            console.log(e)
          });
    },

    ping_api() {
      DrumService.testConnection()
          .then(response => {
            console.log(response.data);
          })
          .catch(e => {
            console.log(e)
          });
    }
  }

}

</script>

<style scoped>

</style>